osgGA::PointerData Struct Reference

`#include <GUIEventAdapter>`

Inheritance diagram for osgGA::PointerData:

## Public Member Functions

| PointerData ()
| PointerData (osg::Object *obj, float in_x, float in_xMin, float in_xMax, float in_y, float in_yMin, float in_yMax)
| PointerData (const PointerData &pd)
PointerData & | operator= (const PointerData &pd)
float | getXnormalized () const
float | getYnormalized () const
Public Member Functions inherited from osg::Referenced
| Referenced ()
| Referenced (bool threadSafeRefUnref)
| Referenced (const Referenced &)
Referenced & | operator= (const Referenced &)
virtual void | setThreadSafeRefUnref (bool)
bool | getThreadSafeRefUnref () const
OpenThreads::Mutex * | getRefMutex () const
int | ref () const
int | unref () const
int | unref_nodelete () const
int | referenceCount () const
ObserverSet * | getObserverSet () const
ObserverSet * | getOrCreateObserverSet () const
void | addObserver (Observer *observer) const
void | removeObserver (Observer *observer) const

## Public Attributes

osg::observer_ptr< osg::Object > | object
float | x
float | xMin
float | xMax
float | y
float | yMin
float | yMax

## Additional Inherited Members

Static Public Member Functions inherited from osg::Referenced
static OpenThreads::Mutex * | getGlobalReferencedMutex ()
static void | setDeleteHandler (DeleteHandler *handler)
static DeleteHandler * | getDeleteHandler ()
Protected Member Functions inherited from osg::Referenced
virtual | ~Referenced ()
void | signalObserversAndDelete (bool signalDelete, bool doDelete) const
void | deleteUsingDeleteHandler () const
Protected Attributes inherited from osg::Referenced
OpenThreads::AtomicPtr | _observerSet
OpenThreads::Atomic | _refCount

## Constructor & Destructor Documentation

## PointerData() [1/3]

osgGA::PointerData::PointerData | ( |  | ) |

inline

References object, x, xMax, xMin, y, yMax, and yMin.

Referenced by operator=(), and PointerData().

## PointerData() [2/3]

osgGA::PointerData::PointerData | ( | osg::Object * | obj,
|  | float | in_x,
|  | float | in_xMin,
|  | float | in_xMax,
|  | float | in_y,
|  | float | in_yMin,
|  | float | in_yMax )

inline

References object, x, xMax, xMin, y, yMax, and yMin.

## PointerData() [3/3]

osgGA::PointerData::PointerData | ( | const PointerData & | pd | ) |

inline

References object, PointerData(), osg::Referenced::Referenced(), x, xMax, xMin, y, yMax, and yMin.

## Member Function Documentation

## getXnormalized()

float osgGA::PointerData::getXnormalized | ( |  | ) | const

inline

References x, xMax, and xMin.

## getYnormalized()

float osgGA::PointerData::getYnormalized | ( |  | ) | const

inline

References y, yMax, and yMin.

## operator=()

PointerData & osgGA::PointerData::operator= | ( | const PointerData & | pd | ) |

inline

References object, PointerData(), x, xMax, xMin, y, yMax, and yMin.

## Member Data Documentation

## object

osg::observer_ptr<osg::Object> osgGA::PointerData::object

Referenced by operator=(), PointerData(), PointerData(), and PointerData().

## x

float osgGA::PointerData::x

Referenced by getXnormalized(), operator=(), PointerData(), PointerData(), and PointerData().

## xMax

float osgGA::PointerData::xMax

Referenced by getXnormalized(), operator=(), PointerData(), PointerData(), and PointerData().

## xMin

float osgGA::PointerData::xMin

Referenced by getXnormalized(), operator=(), PointerData(), PointerData(), and PointerData().

## y

float osgGA::PointerData::y

Referenced by getYnormalized(), operator=(), PointerData(), PointerData(), and PointerData().

## yMax

float osgGA::PointerData::yMax

Referenced by getYnormalized(), operator=(), PointerData(), PointerData(), and PointerData().

## yMin

float osgGA::PointerData::yMin

Referenced by getYnormalized(), operator=(), PointerData(), PointerData(), and PointerData().

The documentation for this struct was generated from the following file:

- GUIEventAdapter